libetonyek::IWORKTextRedirector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextRedirector Class Reference

`#include <IWORKTextRedirector.h>`

Inheritance diagram for libetonyek::IWORKTextRedirector:

## Public Member Functions
| IWORKTextRedirector (librevenge::RVNGTextInterface *iface)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | startDocument (const librevenge::RVNGPropertyList &propList) override
void | endDocument () override
void | definePageStyle (const librevenge::RVNGPropertyList &propList) override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | openPageSpan (const librevenge::RVNGPropertyList &propList) override
void | closePageSpan () override
void | startSlide (const librevenge::RVNGPropertyList &propList) override
void | endSlide () override
void | startMasterSlide (const librevenge::RVNGPropertyList &propList) override
void | endMasterSlide () override
void | setStyle (const librevenge::RVNGPropertyList &propList) override
void | startLayer (const librevenge::RVNGPropertyList &propList) override
void | endLayer () override
void | openHeader (const librevenge::RVNGPropertyList &propList) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &propList) override
void | closeFooter () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList) override
void | openSection (const librevenge::RVNGPropertyList &propList) override
void | closeSection () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &propList) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &propList) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &propList) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &propList) override
void | closeTextBox () override
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList) override
void | openTable (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &propList) override
void | closeFrame () override
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) override
void | insertEquation (const librevenge::RVNGPropertyList &propList) override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawGraphicObject (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | startTextObject (const librevenge::RVNGPropertyList &propList) override
void | endTextObject () override
void | startNotes (const librevenge::RVNGPropertyList &propList) override
void | endNotes () override
void | defineChartStyle (const librevenge::RVNGPropertyList &propList) override
void | openChart (const librevenge::RVNGPropertyList &propList) override
void | closeChart () override
void | openChartTextObject (const librevenge::RVNGPropertyList &propList) override
void | closeChartTextObject () override
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList) override
void | closeChartPlotArea () override
void | insertChartAxis (const librevenge::RVNGPropertyList &propList) override
void | openChartSeries (const librevenge::RVNGPropertyList &propList) override
void | closeChartSeries () override
void | openAnimationSequence (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationSequence () override
void | openAnimationGroup (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationGroup () override
void | openAnimationIteration (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationIteration () override
void | insertMotionAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertColorAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertEffect (const librevenge::RVNGPropertyList &propList) override
Public Member Functions inherited from libetonyek::IWORKDocumentInterface
virtual | ~IWORKDocumentInterface ()=0

## Private Member Functions
| IWORKTextRedirector (const IWORKTextRedirector &)
IWORKTextRedirector & | operator= (const IWORKTextRedirector &)

## Private Attributes
librevenge::RVNGTextInterface *const | m_iface

## Constructor & Destructor Documentation

## ◆ IWORKTextRedirector() [1/2]

libetonyek::IWORKTextRedirector::IWORKTextRedirector | ( | librevenge::RVNGTextInterface * | iface | ) |
| explicit

Referenced by IWORKTextRedirector(), and operator=().

## ◆ IWORKTextRedirector() [2/2]

libetonyek::IWORKTextRedirector::IWORKTextRedirector | ( | const IWORKTextRedirector & |  | ) |
| private

## Member Function Documentation

## ◆ closeAnimationGroup()

void libetonyek::IWORKTextRedirector::closeAnimationGroup | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeAnimationIteration()

void libetonyek::IWORKTextRedirector::closeAnimationIteration | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeAnimationSequence()

void libetonyek::IWORKTextRedirector::closeAnimationSequence | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChart()

void libetonyek::IWORKTextRedirector::closeChart | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartPlotArea()

void libetonyek::IWORKTextRedirector::closeChartPlotArea | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartSeries()

void libetonyek::IWORKTextRedirector::closeChartSeries | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartTextObject()

void libetonyek::IWORKTextRedirector::closeChartTextObject | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeComment()

void libetonyek::IWORKTextRedirector::closeComment | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeEndnote()

void libetonyek::IWORKTextRedirector::closeEndnote | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFooter()

void libetonyek::IWORKTextRedirector::closeFooter | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFootnote()

void libetonyek::IWORKTextRedirector::closeFootnote | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFrame()

void libetonyek::IWORKTextRedirector::closeFrame | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeGroup()

void libetonyek::IWORKTextRedirector::closeGroup | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeHeader()

void libetonyek::IWORKTextRedirector::closeHeader | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeLink()

void libetonyek::IWORKTextRedirector::closeLink | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeListElement()

void libetonyek::IWORKTextRedirector::closeListElement | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeOrderedListLevel()

void libetonyek::IWORKTextRedirector::closeOrderedListLevel | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closePageSpan()

void libetonyek::IWORKTextRedirector::closePageSpan | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeParagraph()

void libetonyek::IWORKTextRedirector::closeParagraph | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeSection()

void libetonyek::IWORKTextRedirector::closeSection | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeSpan()

void libetonyek::IWORKTextRedirector::closeSpan | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTable()

void libetonyek::IWORKTextRedirector::closeTable | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTableCell()

void libetonyek::IWORKTextRedirector::closeTableCell | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTableRow()

void libetonyek::IWORKTextRedirector::closeTableRow | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTextBox()

void libetonyek::IWORKTextRedirector::closeTextBox | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeUnorderedListLevel()

void libetonyek::IWORKTextRedirector::closeUnorderedListLevel | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineCharacterStyle()

void libetonyek::IWORKTextRedirector::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineChartStyle()

void libetonyek::IWORKTextRedirector::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineEmbeddedFont()

void libetonyek::IWORKTextRedirector::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineGraphicStyle()

void libetonyek::IWORKTextRedirector::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ definePageStyle()

void libetonyek::IWORKTextRedirector::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineParagraphStyle()

void libetonyek::IWORKTextRedirector::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineSectionStyle()

void libetonyek::IWORKTextRedirector::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineSheetNumberingStyle()

void libetonyek::IWORKTextRedirector::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawConnector()

void libetonyek::IWORKTextRedirector::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawEllipse()

void libetonyek::IWORKTextRedirector::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawGraphicObject()

void libetonyek::IWORKTextRedirector::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPath()

void libetonyek::IWORKTextRedirector::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPolygon()

void libetonyek::IWORKTextRedirector::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPolyline()

void libetonyek::IWORKTextRedirector::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawRectangle()

void libetonyek::IWORKTextRedirector::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endDocument()

void libetonyek::IWORKTextRedirector::endDocument | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endLayer()

void libetonyek::IWORKTextRedirector::endLayer | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endMasterSlide()

void libetonyek::IWORKTextRedirector::endMasterSlide | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endNotes()

void libetonyek::IWORKTextRedirector::endNotes | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endSlide()

void libetonyek::IWORKTextRedirector::endSlide | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endTextObject()

void libetonyek::IWORKTextRedirector::endTextObject | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertAnimation()

void libetonyek::IWORKTextRedirector::insertAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertBinaryObject()

void libetonyek::IWORKTextRedirector::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertChartAxis()

void libetonyek::IWORKTextRedirector::insertChartAxis | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertColorAnimation()

void libetonyek::IWORKTextRedirector::insertColorAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertCoveredTableCell()

void libetonyek::IWORKTextRedirector::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertEffect()

void libetonyek::IWORKTextRedirector::insertEffect | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertEquation()

void libetonyek::IWORKTextRedirector::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertField()

void libetonyek::IWORKTextRedirector::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertLineBreak()

void libetonyek::IWORKTextRedirector::insertLineBreak | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertMotionAnimation()

void libetonyek::IWORKTextRedirector::insertMotionAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertSpace()

void libetonyek::IWORKTextRedirector::insertSpace | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertTab()

void libetonyek::IWORKTextRedirector::insertTab | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertText()

void libetonyek::IWORKTextRedirector::insertText | ( | const librevenge::RVNGString & | text | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationGroup()

void libetonyek::IWORKTextRedirector::openAnimationGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationIteration()

void libetonyek::IWORKTextRedirector::openAnimationIteration | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationSequence()

void libetonyek::IWORKTextRedirector::openAnimationSequence | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChart()

void libetonyek::IWORKTextRedirector::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartPlotArea()

void libetonyek::IWORKTextRedirector::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartSeries()

void libetonyek::IWORKTextRedirector::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartTextObject()

void libetonyek::IWORKTextRedirector::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openComment()

void libetonyek::IWORKTextRedirector::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openEndnote()

void libetonyek::IWORKTextRedirector::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFooter()

void libetonyek::IWORKTextRedirector::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFootnote()

void libetonyek::IWORKTextRedirector::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFrame()

void libetonyek::IWORKTextRedirector::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openGroup()

void libetonyek::IWORKTextRedirector::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openHeader()

void libetonyek::IWORKTextRedirector::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openLink()

void libetonyek::IWORKTextRedirector::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openListElement()

void libetonyek::IWORKTextRedirector::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openOrderedListLevel()

void libetonyek::IWORKTextRedirector::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openPageSpan()

void libetonyek::IWORKTextRedirector::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openParagraph()

void libetonyek::IWORKTextRedirector::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openSection()

void libetonyek::IWORKTextRedirector::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openSpan()

void libetonyek::IWORKTextRedirector::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTable()

void libetonyek::IWORKTextRedirector::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTableCell()

void libetonyek::IWORKTextRedirector::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTableRow()

void libetonyek::IWORKTextRedirector::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTextBox()

void libetonyek::IWORKTextRedirector::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openUnorderedListLevel()

void libetonyek::IWORKTextRedirector::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ operator=()

IWORKTextRedirector & libetonyek::IWORKTextRedirector::operator= | ( | const IWORKTextRedirector & |  | ) |
| private

## ◆ setDocumentMetaData()

void libetonyek::IWORKTextRedirector::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ setStyle()

void libetonyek::IWORKTextRedirector::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startDocument()

void libetonyek::IWORKTextRedirector::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startLayer()

void libetonyek::IWORKTextRedirector::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startMasterSlide()

void libetonyek::IWORKTextRedirector::startMasterSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startNotes()

void libetonyek::IWORKTextRedirector::startNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startSlide()

void libetonyek::IWORKTextRedirector::startSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startTextObject()

void libetonyek::IWORKTextRedirector::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## Member Data Documentation

## ◆ m_iface

librevenge::RVNGTextInterface* const libetonyek::IWORKTextRedirector::m_iface
| private

Referenced by closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endTextObject(), insertBinaryObject(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), IWORKTextRedirector(), openComment(), openEndnote(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), and startTextObject().

The documentation for this class was generated from the following files:

- IWORKTextRedirector.h
- IWORKTextRedirector.cpp